%define prerelease 74691fb6f83716190870cde1b658538dd4b18eb0
%define import_path code.google.com/p/gosqlite
%define gopath %{_libdir}/golang
%define gosrc %{gopath}/src/pkg/%{import_path}
%define shortcommit %(c=%{prerelease}; echo ${c:0:12})

Summary:	Trivial sqlite3 binding for Go
Name:		golang-sqlite
Version:	0.1.git%{shortcommit}
Release:	%mkrel 8
License:	BSD
Group:		Development/Other
Url:		http://gosqlite.googlecode.com
Source0:	http://gosqlite.googlecode.com/archive/%{prerelease}.zip
Provides:       golang(%{import_path}) = %{version}-%{release}
Provides:       golang(%{import_path}/sqlite) = %{version}-%{release}
Provides:       golang(%{import_path}/sqlite3) = %{version}-%{release}

%description
Trivial sqlite3 binding for Go

%prep
cd %{_builddir}
unzip %{SOURCE0}

%build
cd %{_builddir}/gosqlite-%{shortcommit}

%install
mkdir -p %{buildroot}%{gosrc}
cp -av %{_builddir}/gosqlite-%{shortcommit}/* %{buildroot}%{gosrc}/

%files
%{gosrc}/*


%changelog
* Tue Mar 15 2022 umeabot <umeabot> 0.1.git74691fb6f837-8.mga9
+ Revision: 1791910
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 0.1.git74691fb6f837-7.mga8
+ Revision: 1512685
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.1.git74691fb6f837-6.mga7
+ Revision: 1298022
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.1.git74691fb6f837-5.mga6
+ Revision: 932444
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.git74691fb6f837-4.mga5
+ Revision: 750924
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.git74691fb6f837-3.mga5
+ Revision: 679878
- Mageia 5 Mass Rebuild

* Mon Jun 30 2014 bcornec <bcornec> 0.1.git74691fb6f837-2.mga5
+ Revision: 641554
- Fix for golang FHS

* Sat Dec 21 2013 thatsamguy <thatsamguy> 0.1.git74691fb6f837-1.mga4
+ Revision: 559391
- imported package golang-sqlite

